Name: tinycc-or1k
Group: Development/Languages
Version: 1.5
Release: 2
Summary: The Smallest ANSI C compiler
License: LGPLv2+
Source0: tinycc-or1k-%{version}.tar.bz2
Patch0: tcc-without-libtcc1.patch
URL: http://vr5.narod.ru/tinycc

BuildRequires: gcc
Requires: or1k-musl-lib gcc-openrisc-linux-gnu

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C compiler
-----------------------------------------------------------------------

Features:
--------

- SMALL! You can compile and execute C code everywhere, for example on
  rescue disks.

- FAST! tcc generates optimized x86 code. No byte code
  overhead. Compile, assemble and link about 7 times faster than 'gcc
  -O0'.

- UNLIMITED! Any C dynamic library can be used directly. TCC is
  heading torward full ISOC99 compliance. TCC can of course compile
  itself.

- SAFE! tcc includes an optional memory and bound checker. Bound
  checked code can be mixed freely with standard code.

- Compile and execute C source directly. No linking or assembly
  necessary. Full C preprocessor included.

- C script supported : just add '#!/usr/local/bin/tcc -run' at the first
  line of your C source, and execute it directly from the command
  line.

%global debug_package %{nil}

%prep
%setup -q
%autopatch -p1

%build
%configure --config-musl --with-libgcc --tccdir=/opt/openrisc/tcc --sysroot=/opt/openrisc/or1k-linux-musl/or1k-linux-musl 
make or1k-tcc

%install
mkdir -p %{buildroot}/opt/openrisc/tcc %{buildroot}/opt/openrisc/tcc/include
cp or1k-tcc %{buildroot}/opt/openrisc/tcc
cp include/*.h %{buildroot}/opt/openrisc/tcc/include

%files
%defattr(-,root,root)
/opt/openrisc/tcc/*

%changelog
* Sat Jan 28 2023 Vad Rulezz <vr5@yandex.ru> - 1.5
- Initial package
